Subject: Re: [bitcoin-dev] BIP 2 promotion to Final

From: Luke Dashjr <[email-masked]>
Date: Fri, 18 Mar 2016 19:34:52 +0000

On Friday, March 18, 2016 9:42:16 AM Btc Drak wrote:
> On Wed, Mar 16, 2016 at 10:24 PM, Luke Dashjr <[email-masked]> wrote:
> > BIP Comments are not a part of the BIP itself, merely post-completion
> > notes from various external parties. So having them external does not
> > make the BIP
> > any less self-contained. Right now, this information takes the form of
> > reddit/forum comments, IRC chats, etc.
> 
> BIP2 does not state the comments section is where discussion happens for
> the BIP, but for a sort of final summary.

Yes, discussion for the BIP still happens on the mailing list.

> > It is important that the forum for comments have a low barrier of use.
> > The Bitcoin Wiki requires only a request for editing privileges, whereas
> > GitHub wiki would require reading and agreeing to a lengthy Terms of
> > Service contract.
> 
> Seems weak, it's much easier to sign up for a Github account and most have
> one already. It's certainly easier than either paying to get edit
> privileges on the Bitcoin Wiki find someone to convince you're genuine an
> obscure IRC channel.

Weak? What does that even mean? GitHub's terms are no trivial list. It's not a 
matter of "easy", but whether you're willing to agree to the terms or not - 
and people should be free to participate without doing so. The Bitcoin Wiki 
has never had a problem with whitelisting people, and isn't exclusively 
available via IRC.

> > In terms of staleness, the Wiki has been shown to stand the test of time,
> > and
> > is frankly less likely to move than the GitHub repository.
> > 
> > The BIP process originated on the Wiki, and was only moved to GitHub
> > because
> > stronger moderation was needed (eg, to prevent random other people from
> > editing someone else's BIP; number self-assignments; etc). Such
> > moderation is
> > not only unnecessary for BIP Comments, but would be an outright nuisance.
> 
> I'm not sure that is the reason why, but in any case, Github is a more
> sensible place because of the collaborative features which is why they
> became the centre of OSS software development for hundreds of thousands of
> projects.

GitHub's collaborative features for the wiki function is clearly inferior.

> > I hope this addresses all your concerns and we can move forward with BIP
> > 2 unmodified?
> 
> I am sorry but it has not. I still strongly object to using the Bitcoin
> Wiki or any external source source for the commentary part of BIP2. I
> believe it should be done on using the Wiki feature at bitcoin/bips. If
> that is not acceptable, then I would suggest a separate page in the bip
> assets folder, called bip<nnnn>/comments.md. On a side note, more complex
> reference implementation code should be stored in that folder too.

Then you're essentially standing in the way of BIP 2 and stalling it.

I have no interest in having to manually approve every single little comment 
on BIPs, and I think it's likely nobody will use it if doing so requires such 
effort.

> > (On another note, I wonder if we should recommend non-reference
> > implementation
> > lists/links be moved to BIP Comments rather than constantly revising the
> > BIPs
> > with them...)
> 
> Certainly those could be on the comments page.